FROM tomcat:8
ENV BLACKBOX_VERSION 0.66
ENV LOG_DIR = "/var/log/blackbox"

#Copy blackbox war
COPY target/blackbox-${BLACKBOX_VERSION}.war /usr/local/tomcat/webapps/blackbox.war

#Create  log directory with it's parents
RUN mkdir -p ${LOG_DIR}

#Install vim to be able to view the logs
#RUN ["apt-get", "update"]
#RUN ["apt-get", "install", "-y", "vim"]

EXPOSE 9300
EXPOSE 8080


#Running docker
#docker build . --tag tomy
#docker run -it --rm -p 8080:8080 tomy